# setJvmArguments

abstract fun setJvmArguments(@Nullable jvmArguments: Array<@Nullable String>): LongRunningOperation

Specifies the Java VM arguments to use for this operation.

org.gradle.tooling.model.build.BuildEnvironment model contains information such as Java or Gradle environment. If you want to get hold of this information you can ask tooling API to build this model.

If not configured, null, or an empty array is passed, then the reasonable default will be used.

The jvm argument set by this method is independent of arguments set by {`addJvmArguments`} methods. The daemon JVM arguments list will always have the arguments from the {`setJvmArguments`} at the beginning of the list, and then have the {`addJvmArguments`} configuration appended.

#### Return

this

#### Since

1.0-milestone-8

#### Parameters

jvmArguments

to use for the Gradle process

abstract fun setJvmArguments(@Nullable jvmArguments: @Nullable Iterable<String>): LongRunningOperation

Specifies the Java VM arguments to use for this operation.

org.gradle.tooling.model.build.BuildEnvironment model contains information such as Java or Gradle environment. If you want to get hold of this information you can ask tooling API to build this model.

If not configured, null, or an empty list is passed, then the reasonable default will be used.

The jvm argument set by this method is independent of arguments set by {`addJvmArguments`} methods. The daemon JVM arguments list will always have the arguments from the {`setJvmArguments`} at the beginning of the list, and then have the {`addJvmArguments`} configuration appended.

#### Return

this

#### Since

2.6

#### Parameters

jvmArguments

to use for the Gradle process